TEMPLATE = lib
CONFIG += qt \
    plugin
QT += core \
    gui \
    network \
    xml \
    sql \
    phonon
TARGET = ./fmtune
INCLUDEPATH += ../../include \
    /usr/include \
    /usr/include/phono
HEADERS += src/fmtunePlugin.h \
    src/fmtuneSettings.h \
    src/general.h \
    src/info.h \
    src/recording.h \
    src/equalizer.h \
    src/editstations.h \
    src/sqliteengine.h \
    src/fastaddstation.h \
    src/importexport.h \
    src/TreeComboBox/TreeComboBox.h
SOURCES += src/fmtunePlugin.cpp \
    src/fmtuneSettings.cpp \
    src/info.cpp \
    src/general.cpp \
    src/recording.cpp \
    src/equalizer.cpp \
    src/editstations.cpp \
    src/sqliteengine.cpp \
    src/fastaddstation.cpp \
    src/importexport.cpp
FORMS += src/fmtuneSettings.ui \
    src/info.ui \
    src/recording.ui \
    src/equalizer.ui \
    src/editstations.ui \
    src/fastaddstation.ui \
    src/importexport.ui
RESOURCES += fmtune.qrc
include(3rdparty/globalshortcut/globalshortcut.pri)
