/*
	fastaddstation.h

	Copyright (c) 2009 by Lms <lms.cze7@gmail.com>

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
*/

#ifndef FASTADDSTATION_H
#define FASTADDSTATION_H

#include <QtGui/QDialog>
#include <QtSql>
#include "sqliteengine.h"

namespace Ui {
    class FastAddStation;
}

class FastAddStation : public QDialog {
    Q_OBJECT
public:
    FastAddStation(QWidget *parent = 0);
    ~FastAddStation();

	SQLiteEngine sqldb;

	void showEvent();

protected:
    void changeEvent(QEvent *e);

private slots:
	void accept();
	void reject();

private:
    Ui::FastAddStation *m_ui;
};

#endif // FASTADDSTATION_H
