/*
	fmtuneSettings.h

	Copyright (c) 2009 by Lms <lms.cze7@gmail.com>

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
*/

#ifndef fmtuneSettings_H
#define fmtuneSettings_H

#include "ui_fmtuneSettings.h"

#include <qutim/plugininterface.h>
#include <QSettings>
#include <QtNetwork>
#include <QtXml>

#include "general.h"

class fmtuneSettings  : public QWidget
{
	Q_OBJECT;

public:
	fmtuneSettings(QString profileName);
	virtual ~fmtuneSettings();
	void saveSettings();

private:
	Ui::fmtuneSettingsClass ui;
	QString m_profile_name;

	QNetworkAccessManager *netMan;

	QList<QString> searchResults;
};

#endif
