TEMPLATE = lib
CONFIG += qt \
    plugin
QT += core \
    gui \
    network \
    xml \
    sql
TARGET = ./fmtune
INCLUDEPATH += ../../include \
    /usr/include
HEADERS += src/fmtunePlugin.h \
    src/fmtuneSettings.h \
    bass/bass.h \
    src/general.h \
    src/bassfce.h \
    src/info.h \
    src/recording.h \
    src/equalizer.h \
    src/editstations.h \
    src/sqliteengine.h \
    src/fastaddstation.h \
    src/importexport.h \
	src/TreeComboBox/TreeComboBox.h
SOURCES += src/fmtunePlugin.cpp \
    src/fmtuneSettings.cpp \
    src/bassfce.cpp \
    src/info.cpp \
    src/general.cpp \
    src/recording.cpp \
    src/equalizer.cpp \
    src/editstations.cpp \
    src/sqliteengine.cpp \
    src/fastaddstation.cpp \
    src/importexport.cpp
FORMS += src/fmtuneSettings.ui \
    src/info.ui \
    src/recording.ui \
    src/equalizer.ui \
    src/editstations.ui \
    src/fastaddstation.ui \
    src/importexport.ui
RESOURCES += fmtune.qrc
DEFINES += useBASS
windows:LIBS += bass/bass.lib
unix:LIBS += -L./bass \
    -lbass
macx:LIBS += bass/libbass.dylib
include(3rdparty/globalshortcut/globalshortcut.pri)
