/*
	bassfce.h

	Copyright (c) 2009 by Lms <lms.cze7@gmail.com>

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
*/

#ifndef BASSFCE_H
#define BASSFCE_H

#include <qutim/plugininterface.h>
#include <QMessageBox>
#include <QByteArray>
#include "bass/bass.h";

#include "fmtunePlugin.h";

class BASSPluginInfo {
public:
	QString m_file_name;
	QString m_name;
	QString m_exts;
	bool m_loaded;
};

class BASSThread : public QThread
{
	Q_OBJECT

	protected:
		void run();
};

void BASSMSG(int index, QString text, int number);

void LoadBASS();
void BASSPlay(QString streamurl);
void BASSStop();
void BASSSetVolume(int value);

bool BASSIsPlaying();

QString BASSGetInfoSong();
QString BASSGetInfoRadio();
QString BASSGetInfoBitrate();
QString BASSGetInfoURL();

int BASSGetPluginsCount();
QString BASSGetPluginName(int id);

QStringList getQutIMPluginsPaths();

#endif // BASSFCE_H
