/*
	sqlengine.h

	Copyright (c) 2009 by Lms <lms.cze7@gmail.com>

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
*/

#ifndef SQLITEENGINE_H
#define SQLITEENGINE_H

#include <QtSql>
#include <QStringList>

class SQLiteEngine
{
public:
    SQLiteEngine();

    bool connect(QString filename, QString connectionname);
    void close();

	bool TableExists(QString tablename);
	bool CreateTable(QString tablename, QStringList columns);

	QString getColumnName(QString text);

    QSqlDatabase db;
};

#endif // SQLITEENGINE_H
